clang 8.0.0

Public Member Functions | List of all members
clang::tooling::SymbolName Class Reference

A name of a symbol. More...

`#include "clang/Tooling/Refactoring/Rename/SymbolName.h"`

## Public Member Functions
| SymbolName (StringRef Name)
ArrayRef< std::string > | getNamePieces () const

## Detailed Description

A name of a symbol.

Symbol's name can be composed of multiple strings. For example, Objective-C methods can contain multiple argument labels:

- (void) myMethodNamePiece: (int)x anotherNamePieces:(int)y;
// ^~ string 0 ~~~~~ ^~ string 1 ~~~~~

Definition at line 30 of file SymbolName.h.

## Constructor & Destructor Documentation

## ◆ SymbolName()

clang::tooling::SymbolName::SymbolName | ( | StringRef | Name | ) |
| inline explicit

Definition at line 32 of file SymbolName.h.

## Member Function Documentation

## ◆ getNamePieces()

ArrayRef<std::string> clang::tooling::SymbolName::getNamePieces | ( |  | ) | const
| inline

Definition at line 40 of file SymbolName.h.

The documentation for this class was generated from the following file:

- include/clang/Tooling/Refactoring/Rename/SymbolName.h